%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-tripleoclient
Version:        7.3.8
Release:        1%{?dist}
Provides:        python2-tripleoclient = %{version}-%{release}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0:        https://tarballs.openstack.org/python-tripleoclient/python-tripleoclient-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.3.8
Patch0001: 0001-Always-include-docker-environment-files-in-prepare-c.patch
Patch0002: 0002-Set-container-image-names-for-downstream.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
# testing requirements
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
BuildRequires:  python-cliff
BuildRequires:  python-ironicclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-heatclient
BuildRequires:  python-mistralclient
BuildRequires:  python-openstackclient
BuildRequires:  python-websocket-client
BuildRequires:  python-zaqarclient
BuildRequires:  PyYAML
BuildRequires:  python-passlib
BuildRequires:  openstack-tripleo-common
BuildRequires:  python-osc-lib-tests
BuildRequires:  python-requests-mock
BuildRequires:  git
BuildRequires:  instack-undercloud

Requires:       instack
Requires:       instack-undercloud
Requires:       python-babel >= 2.3.4
Requires:       python-cliff
Requires:       python-ipaddress
Requires:       python-ironic-inspector-client >= 1.5.0
Requires:       python-ironicclient >= 1.14.0
Requires:       python-heatclient >= 1.6.1
Requires:       python-mistralclient >= 3.1.0
Requires:       python-openstackclient >= 3.11.0
Requires:       python-osc-lib >= 1.7.0
Requires:       python-pbr
Requires:       python-websocket-client
Requires:       python-passlib
Requires:       python-simplejson >= 2.2.0
Requires:       python-six
Requires:       sos
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python-zaqarclient >= 1.0.0

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.


%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Fri Feb 16 2018 Thierry Vignaud <tvignaud@redhat.com> 7.3.8-1
- Update to 7.3.8

* Tue Feb 13 2018 Alex Schultz <aschultz@redhat.com> 7.3.3-8
- Push the config container outside of heat stack update (rhbz#1523707)

* Thu Nov 30 2017 Julie Pichon <jpichon@redhat.com> 7.3.3-7
- Catch zaqar exception when no message to claim (rhbz#1518221)

* Tue Nov 28 2017 Julie Pichon <jpichon@redhat.com> 7.3.3-6
- Move back to docker-site.yaml for ceph ansible update (rhbz#1517179)

* Wed Nov 22 2017 Julie Pichon <jpichon@redhat.com> 7.3.3-5
- Consume a zaqar queue for update to poll ansible result (rhbz#1505926)
- Fix static-inventory option for minor update (rhbz#1493548)
- Allow the user to run ansible update on all nodes (rhhz#1493548)
- Do not failed update if no container registry is set (rhbz#1497730)
- Add option for ceph ansible playbook (rhbz#1506214)
- Don't rewrite resource_registry values that aren't paths (rhbz#1507976)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.3.3-4
- Add --environment-directory to the prepare command (rhbz#1501268)
- Rename options to the prepare command for clarity (rhbz#1501268)
- Deprecate --pull-source for container prepare command (rhbz#1501268)
- Ignore missing rendered heat envs in prepare (rhbz#1501268)

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.3.3-3
- Add missing puppet configuration to undercloud deploy

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.3.3-2
- Set container image names for downstream (rhbz#1509324)

* Wed Nov 08 2017 Jon Schlueter <jschluet@redhat.com> 7.3.3-1
- Update to 7.3.3
- Always include docker environment files in prepare command (rhbz#1500528 rhbz#1500529 rhbz#1500531)

* Wed Nov 01 2017 Jon Schlueter <jschluet@redhat.com> 7.3.2-2
- Always include docker environment files in prepare command (rhbz#1500528 rhbz#1500529 rhbz#1500531)
- Allow containerized undercloud deploy with SELinux
- Implement minor update workflow with config download

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.3.2-1
- Update to 7.3.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.3.1-1
- Update to 7.3.1

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.3.0-1
- Update to 7.3.0

* Wed Aug 30 2017 Alan Pevec <alan.pevec@redhat.com> 7.2.0-1
- Update to 7.2.0

